Name: labplot
Version: 1.4.0
Release: alt1.3

Summary: Function and Data Plotter
Summary(ru_RU.KOI8-R):      

Packager: Vitaly Lipatov <lav@altlinux.ru>

Url: http://staff.mbi-berlin.de/gerlach/Linux/LabPlot/
Group: Sciences/Other
License: GPL

Source: LabPlot-%version.tar.bz2
#Source1: %name-%version.ru.po

# manually removed: boson gcc-g77 hostinfo
# Automatically added by buildreq on Mon Dec 27 2004
BuildRequires: bzlib-devel fontconfig freetype2-devel gcc-c++ kde-settings kdelibs-devel libImageMagick-devel libarts-devel libaudiofile-devel libfftw3-devel libgsl-devel libjasper-devel libjpeg-devel liblcms-devel libnetcdf-devel libpng-devel libqscintilla-designer libqt3-devel libqt3-qsa-devel libqt3-settings libqwt-devel libstdc++-devel libtiff-devel pstoedit qt3-designer xml-utils xorg-x11-devel xorg-x11-libs zlib-devel

Requires: ImageMagick >= 5.4.7 gsl pstoedit

%description
This is a program for plotting of functions and data manipulation.

A versatile spreadsheet for data import and editing was added. Also a better
3 dimensional plot with rotation and colormaps is available.
Newly supported are data set operations and image manipulations. One can now 
import over 80 different images formats and export directly to ps, eps or pdf.
The plots now use double buffering and LabPlot supports scripting using
QSA.

%description -l ru_RU.KOI8-R
      
 .

%prep
%setup -q -n LabPlot-%version
#cp -f %{SOURCE1} po/ru.po
%__subst "s/\.la/\.so/g" configure

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=/usr/lib/kde3
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%configure --disable-static	--disable-rpath \
	--enable-fftw3 --enable-gl --enable-audiofile --enable-jasper \
	--enable-gsl --enable-grass --enable-pstoedit --enable-qsa \
	--disable-cdf
# needed new packages:
#	--enable-cdf 

%make

%install
make DESTDIR="$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="LabPlot" \\
section="Applications/Sciences/Mathematics" \\
title="LabPlot" \\
longtitle="Function and Data Plotter" \\
genericname="Flowcharting and Diagramming" \\
icon="%name.png" \\
needs="x11"
EOF

%__install -D -m644 src/icons/lo32-app-LabPlot.png $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -D -m644 src/icons/lo16-app-LabPlot.png $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -D -m644 src/icons/hi48-app-LabPlot.png $RPM_BUILD_ROOT%_liconsdir/%name.png

%find_lang LabPlot --with-kde

%post
%update_menus

%postun
%clean_menus

%files -f LabPlot.lang
%doc README TODO INSTALL ChangeLog CHANGES FEATURES LabPlot.lsm doc/cephes.doc
%_bindir/*
/usr/share/applnk/Applications/*
/usr/share/mimelnk/application/x-lpl.desktop
/usr/share/apps/LabPlot
%_iconsdir/%{name}*
%_liconsdir/%{name}*
%_miconsdir/%{name}*
%_menudir/%name
%_mandir/man?/*

/usr/share/icons/locolor/16x16/mimetypes/lpl.png
/usr/share/icons/locolor/32x32/mimetypes/lpl.png
/usr/share/icons/hicolor/48x48/mimetypes/lpl.png
/usr/share/icons/hicolor/64x64/mimetypes/lpl.png
%_libdir/*.so.*

%changelog
* Thu Sep 15 2005 Anton Farygin <rider@altlinux.ru> 1.4.0-alt1.3
rebuild with libMagick.so.9

* Mon Sep 12 2005 Anton Farygin <rider@altlinux.ru> 1.4.0-alt1.2
- rebuild with new libImageMagick

* Fri Jan 21 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.4.0-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 27 2004 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt1
- new version

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt1
- release

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.1-alt0.1pre2.1
- Rebuilt with libtiff.so.4.

* Sat Jul 31 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt0.1pre2
- new version
- add russian translation

* Sat Jun 19 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- first build for Sisyphus

